domain-needed
bogus-priv
log-queries

# The address {{ ansible_default_ipv4.address }} is the static IP of this server
# You can find this ip by running ifconfig and look for the
# IP of the interface which is connected to the router.
listen-address=127.0.0.1
listen-address={{ ansible_default_ipv4.address }}
bind-interfaces
{% if dns_servers is defined and dns_servers %}
{% for server in dns_servers %}
server={{ server }}
{% endfor %}
{% endif %}

# PID file
pid-file=/var/run/dnsmasq/dnsmasq.pid
all-servers
dns-forward-max=100
# TTL for auth replies
auth-ttl=600

# Config files and folders (DynDNS files)
# ----------------------------------------------------------------------------
# Do not read /etc/resolv.conf
no-resolv
# Do not poll /etc/resolv.conf
no-poll
# Do not read /etc/hosts
no-hosts
# Read *.conf from this folder
#conf-dir=/var/www/ddns.example.com/dnsmasq/,*.conf

# Delegate subdomain DNS servers
{% for server in dns_k8s_clusters %}
server=/{{ server.domain }}/{{ server.address }}
{% endfor %}

# Required for authoritative server
# this is in fact the gateway but the name must be resolved by the external nameserver
auth-server={{ dns_auth_server }}
# Create custom 'records'. Each will require an auth-zone
{% for server in dns_server_addresses %}
host-record={{ server.name }},{{ server.address }}
auth-zone={{ server.name }}
{% endfor %}
{% for server in groups["all"] %}
{% if not server == "localhost" %}
{% if hostvars[server].ip is defined %}
host-record={{ hostvars[server].inventory_hostname }}.{{ dns_advertise_domain }},{{ hostvars[server].ip | default(hostvars[server].ansible_host) }}
auth-zone={{ hostvars[server].inventory_hostname }}.{{ dns_advertise_domain }}
{% endif %}
{% endif %}
{% endfor %}
